﻿#!/bin/bash

apt-get -y update

# list of required packages
packageList="task-auth-ad-sssd"
for packageName in $packageList; do
  rpm --quiet --query $packageName || apt-get -y install $packageName
done

# editing /etc/hosts
sed -i -e 's/^127.0.0.1.*/127.0.0.1 {{ verbose_name }}.{{ domainname }} {{ verbose_name }}/g' /etc/hosts
sed -i -e 's/^::1.*/::1 {{ verbose_name }}.{{ domainname }} {{ verbose_name }}/g' /etc/hosts

nic=$(ip -o -4 route show to default | awk '{print $5}')
touch /etc/net/ifaces/$nic/resolv.conf
echo "nameserver $(dig +short {{ domainname }})
nameserver 8.8.8.8" > /etc/net/ifaces/$nic/resolv.conf

# editing /etc/resolvconf.conf
sed -i -e "s/^interface_order=.*/interface_order='lo lo[0-9]* lo.* ${nic}'/g" /etc/resolvconf.conf
search_domains=$"search_domains={{ domainname }}"
grep -qxF $search_domains /etc/resolvconf.conf || echo $search_domains >> /etc/resolvconf.conf

resolvconf -u

# adding to the domain
system-auth write ad {{ domainname }} {{ verbose_name }} {{ workgroup }} '{{ login }}' '{{ password }}'
