﻿#!/bin/bash

# editing /etc/hosts
sed -i -e 's/^127.0.0.1.*/127.0.0.1 {{ verbose_name }}.{{ domainname }} {{ verbose_name }}/g' /etc/hosts
sed -i -e 's/^::1.*/::1 {{ verbose_name }}.{{ domainname }} {{ verbose_name }}/g' /etc/hosts

urpmi.update -a

# list of required packages
packageList="adcli realmd sssd krb5-workstation krb5-libs oddjob oddjob-mkhomedir samba-common-tools"
for packageName in $packageList; do
  rpm --quiet --query $packageName || urpmi $packageName
done

# adding to the domain
echo {{ password }} | realm join --verbose {{ domainname.upper() }} -U {{ login }}@{{ domainname.upper() }} --membership-software=adcli
