#!/bin/sh

# set role
[ ! -d /etc/puppetveil/code/environments/production/data ] && mkdir -p /etc/puppetveil/code/environments/production/data

for i in $( seq 1 10 ); do
	/opt/puppetlabs/bin/puppet apply /etc/puppetveil/code/environments/production/manifests/site.pp --detailed-exitcodes --verbose --show_diff --summarize --hiera_config=/etc/puppetveil/code/environments/production/hiera.yaml --modulepath=/etc/puppetveil/code/environments/production/modules
	err=$?
	echo "iteration $i, errcode: $err"
	if [ -r /var/lib/ecp-veil/tests/ctr_init_finalize.passed ]; then
		echo "All test passed on loop $i"
		# test
		/opt/puppetlabs/bin/puppet apply /etc/puppetveil/code/environments/production/manifests/site.pp --detailed-exitcodes --verbose --show_diff --summarize --hiera_config=/etc/puppetveil/code/environments/production/hiera.yaml --modulepath=/etc/puppetveil/code/environments/production/modules
		exit 0
	fi
done

exit 1
